#
# spec file for package fluidsynth-dssi
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           fluidsynth-dssi
BuildRequires:  alsa-devel dssi-devel fluidsynth-devel gtk2-devel
BuildRequires:  libjack-devel liblo-devel update-desktop-files
BuildRequires:  libtool
Summary:        Fluidsynth Plug-In for Disposable Soft Synth Interface
Version:        1.0.0
Release:        21.1
Group:          Productivity/Multimedia/Sound/Midi
AutoReqProv:    on
License:        GPL-2.0+
Url:            http://dssi.sf.net
Source:         %{name}-%{version}.tar.bz2
Patch:          fluidsynth-dssi-nogtk1.diff
Patch1:         fluidsynth-dssi-add-closedir.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FluidSynth-DSSI is the plug-in implementation of fluidsynth on DSSI
(Disposable Soft Synth Interface) with a GTK+ GUI.



Authors:
--------
    Sean Bolton <musound@jps.net>

%prep
%setup
%patch
%patch1 -p1

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%configure --with-gtk2
make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/dssi
%doc COPYING README ChangeLog TODO

%changelog
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Fri Apr  2 2010 davejplater@gmail.com
- Update to version 1.0.0
* Fri Jul 24 2009 tiwai@suse.de
- fix obsoleted run_ldconfig macro
- clean up using standard rpm macros
- fix missing closedir (bnc#525017)
* Fri Jul 24 2009 tiwai@suse.de
- fix buildrequires: dssi-devel and libjack-devel
* Tue Apr 17 2007 tiwai@suse.de
- fix buildrequires ladspa -> ladspa-devel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 tiwai@suse.de
- removed gtk1 support.
- removed glib* from neededforbuild.
* Tue Jun 14 2005 tiwai@suse.de
- moved from fluidsynth sub-package: version 0.9.1.
